## chromium 120.0.6099.109~linuxmint1+elsie

=== debian/changelog ===
chromium (120.0.6099.109~linuxmint1+elsie) unstable; urgency=medium

  * 120.0.6099.109

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Dec 2023 20:16:12 +0000

chromium (120.0.6099.71~linuxmint1) unstable; urgency=medium

  * 120.0.6099.71

 -- Linux Mint <root@linuxmint.com>  Wed, 06 Dec 2023 21:17:11 +0000
