## chromium 120.0.6099.109~linuxmint1+faye

=== debian/changelog ===
chromium (120.0.6099.109~linuxmint1+faye) unstable; urgency=medium

  * 120.0.6099.109

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Dec 2023 20:16:12 +0000
