## chromium 120.0.6099.129~linuxmint1+elsie

=== debian/changelog ===
chromium (120.0.6099.129~linuxmint1+elsie) unstable; urgency=medium

  * 120.0.6099.129

 -- Linux Mint <root@linuxmint.com>  Wed, 20 Dec 2023 18:21:27 +0000

chromium (120.0.6099.109~linuxmint1) unstable; urgency=medium

  * 120.0.6099.109

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Dec 2023 20:16:12 +0000
