## chromium 120.0.6099.129~linuxmint1+una

=== debian/changelog ===
chromium (120.0.6099.129~linuxmint1+una) unstable; urgency=medium

  * 120.0.6099.129

 -- Linux Mint <root@linuxmint.com>  Wed, 20 Dec 2023 18:21:27 +0000
