## chromium 120.0.6099.129

=== debian/changelog ===
chromium (120.0.6099.129-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-7024: Heap buffer overflow in WebRTC. Reported by
      Clément Lecigne and Vlad Stolyarov of Google's Threat Analysis Group.

 -- Andres Salomon <dilinger@debian.org>  Wed, 20 Dec 2023 21:05:12 -0500

chromium (120.0.6099.109-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-6702: Type Confusion in V8. Reported by
      Zhiyi Zhang and Zhunki from Codesafe Team of Legendsec at Qi'anxin Group.
    - CVE-2023-6703: Use after free in Blink.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-6704: Use after free in libavif. Reported by Fudan University.
    - CVE-2023-6705: Use after free in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-6706: Use after free in FedCM. Reported by anonymous.
    - CVE-2023-6707: Use after free in CSS. Reported by @ginggilBesel.

 -- Andres Salomon <dilinger@debian.org>  Tue, 12 Dec 2023 19:52:08 -0500

chromium (120.0.6099.71-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2023-6508: Use after free in Media Stream.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-6509: Use after free in Side Panel Search.
      Reported by Khalil Zhani.
    - CVE-2023-6510: Use after free in Media Capture. Reported by [pwn2car].
    - CVE-2023-6511: Inappropriate implementation in Autofill.
      Reported by Ahmed ElMasry.
    - CVE-2023-6512: Inappropriate implementation in Web Browser UI.
      Reported by Om Apip.
  * d/copyright: adjust path for chai.js & mocha.js deletion.
    - delete third_party/libsecret.
  * d/control: new build depends on libsecret-1-dev.
  * d/scripts/unbundle: keep bundled libhwy; it's not available in bullseye.
    - also keep vulkan_memory_allocator and flatbuffers.
  * d/patches:
    - fixes/gcc13-headers.patch: refresh.
    - fixes/blink-frags.patch: drop part of patch & refresh.
    - disable/catapult.patch: refresh.
    - disable/driver-chrome-path.patch: update for minor upstream changes.
    - ungoogled/disable-privacy-sandbox.patch: update from ungoogled-chromium.
    - ungoogled/disable-web-environment-integrity.patch: update from
      from ungoogled-chromium.
    - upstream/mojo.patch: update patch from upstream's git.
    - bookworm/clang16.patch: new patch working around upstream's clang18 flags.
    - upstream/nullptr_t.patch: more libstdc++13 build fixes.
    - upstream/string-include.patch: add a simple header include build fix.
    - fixes/absl-optional.patch: add a workaround for a clang bug
      (https://github.com/llvm/llvm-project/issues/50248) by providing our
      own 'optional' header.
    - bookworm/constcountrycode.patch: add workaround for older libstdc++.
    - bullseye/constexpr.patch: drop due to upstream changes.
    - bullseye/downgrade-typescript.patch: refresh.
    - bullseye/devtools-ts-return.patch: add build fix needed for older
      typescript.
    - bullseye/pathmax.patch: another simple missing header build fix.
    - bullseye/framesensorconst.patch: constexpr -> const workaround.
    - bullseye/node-trustedtypes.patch: add a bunch more workarounds for
      our older node-typescript.
  * d/rules: grab typescript from third_party/devtools (which is downgraded
    from 5.1 to 5.0 via downgrade-typescript.patch) to overwrite
    third_party/node/node_modules/typescript (which was upgraded to 5.2).
  * d/NEWS: document the end of security support for bullseye.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-Add-PPC64-support-for-libdav1d.patch: refresh for
      upstream changes
    - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
      refresh for upstream changes
    - third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch:
      regenerate
    - third_party/skia-vsx-instructions.patch: refresh for upstream changes
    - third_party/use-sysconf-page-size-on-ppc64.patch: refresh for upstream
      changes
    - Mass refresh all other patches against 120 codebase.  No functional
      change.

 -- Andres Salomon <dilinger@debian.org>  Sat, 09 Dec 2023 12:31:48 -0500

chromium (119.0.6045.199-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-6348: Type Confusion in Spellcheck.
      Reported by Mark Brand of Google Project Zero.
    - CVE-2023-6347: Use after free in Mojo. Reported by
      Leecraso and Guang Gong of 360 Vulnerability Research Institute.
    - CVE-2023-6346: Use after free in WebAudio.
      Reported by Huang Xilin of Ant Group Light-Year Security Lab.
    - CVE-2023-6350: Out of bounds memory access in libavif.
      Reported by Fudan University.
    - CVE-2023-6351: Use after free in libavif. Reported by Fudan University.
    - CVE-2023-6345: Integer overflow in Skia. Reported by
      Benoît Sevens and Clément Lecigne of Google's Threat Analysis Group.

 -- Andres Salomon <dilinger@debian.org>  Tue, 28 Nov 2023 23:33:06 -0500

chromium (119.0.6045.159-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-5997: Use after free in Garbage Collection.
      Reported by Anonymous.
    - CVE-2023-6112: Use after free in Navigation.
      Reported by Sergei Glazunov of Google Project Zero.
  * Don't show errors on startup if Crash Reports directory doesn't exist.
  * Check for $DISPLAY before trying to run xmessage in chromium's wrapper
    script. Fall back to just using echo (closes: #1055765).

 -- Andres Salomon <dilinger@debian.org>  Tue, 14 Nov 2023 20:04:30 -0500
