## chromium 120.0.6099.216~linuxmint1+elsie

=== debian/changelog ===
chromium (120.0.6099.216~linuxmint1+elsie) unstable; urgency=medium

  * 120.0.6099.216

 -- Linux Mint <root@linuxmint.com>  Tue, 09 Jan 2024 19:03:33 +0000

chromium (120.0.6099.199~linuxmint1) unstable; urgency=medium

  * 120.0.6099.199

 -- Linux Mint <root@linuxmint.com>  Wed, 03 Jan 2024 19:21:11 +0000

chromium (120.0.6099.129~linuxmint1) unstable; urgency=medium

  * 120.0.6099.129

 -- Linux Mint <root@linuxmint.com>  Wed, 20 Dec 2023 18:21:27 +0000
