## chromium 120.0.6099.216~linuxmint1+faye

=== debian/changelog ===
chromium (120.0.6099.216~linuxmint1+faye) unstable; urgency=medium

  * 120.0.6099.216

 -- Linux Mint <root@linuxmint.com>  Tue, 09 Jan 2024 19:03:33 +0000
