## chromium 120.0.6099.216

=== debian/changelog ===
chromium (120.0.6099.216-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-0333: Insufficient data validation in Extensions.
      Reported by Malcolm Stagg (@malcolmst) of SODIUM-24, LLC.

 -- Andres Salomon <dilinger@debian.org>  Tue, 09 Jan 2024 20:54:53 -0500
