## chromium 120.0.6099.224~linuxmint1+faye

=== debian/changelog ===
chromium (120.0.6099.224~linuxmint1+faye) unstable; urgency=medium

  * 120.0.6099.224

 -- Linux Mint <root@linuxmint.com>  Tue, 16 Jan 2024 18:20:11 +0000

chromium (120.0.6099.216~linuxmint1) unstable; urgency=medium

  * 120.0.6099.216

 -- Linux Mint <root@linuxmint.com>  Tue, 09 Jan 2024 19:03:33 +0000
