## chromium 120.0.6099.224

=== debian/changelog ===
chromium (120.0.6099.224-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2024-0517: Out of bounds write in V8.
      Reported by Toan (suto) Pham of Qrious Secure.
    - CVE-2024-0518: Type Confusion in V8.
      Reported by Ganjiang Zhou(@refrain_areu) of ChaMd5-H1 team.
    - CVE-2024-0519: Out of bounds memory access in V8. Reported by Anonymous.
  * d/rules: fix search path for clang libs.

 -- Andres Salomon <dilinger@debian.org>  Tue, 16 Jan 2024 15:35:05 -0500

chromium (120.0.6099.216-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2024-0333: Insufficient data validation in Extensions.
      Reported by Malcolm Stagg (@malcolmst) of SODIUM-24, LLC.

 -- Andres Salomon <dilinger@debian.org>  Tue, 09 Jan 2024 20:54:53 -0500

chromium (120.0.6099.199-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2024-0222: Use after free in ANGLE.
      Reported by Toan (suto) Pham of Qrious Secure.
    - CVE-2024-0223: Heap buffer overflow in ANGLE.
      Reported by Toan (suto) Pham and Tri Dang of Qrious Secure.
    - CVE-2024-0224: Use after free in WebAudio.
      Reported by Huang Xilin of Ant Group Light-Year Security Lab.
    - CVE-2024-0225: Use after free in WebGPU. Reported by Anonymous.

 -- Andres Salomon <dilinger@debian.org>  Wed, 03 Jan 2024 22:53:21 -0500
