=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,13 @@
 defines=clang_use_chrome_plugins=false
 
 # use system rust
-export CLANG_VERS="$(shell $(CC) --version| sed -n 's/Debian clang version //p' | sed 's/ (.*)//')"
+export RUSTC_BOOTSTRAP=1
+export CLANG_MVERS="$(shell $(CC) --version| sed -n 's/Debian clang version //p' | cut -d. -f1)"
 defines+=rust_sysroot_absolute=\"/usr\"
 defines+=rustc_version=\"$(shell rustc --version)\"
 defines+=enable_rust=false
-defines+=clang_base_path=\"/usr/lib/llvm-$(shell echo $(CLANG_VERS) | cut -d. -f1)\"
-defines+=clang_version=\"$(CLANG_VERS)\"
+defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
+defines+=clang_version=\"$(CLANG_MVERS)\"
 
 # build using system toolchain
 defines+=host_toolchain=\"//build/toolchain/linux/unbundle:default\"
