=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,6 @@
 export CLANG_MVERS="$(shell $(CC) --version| sed -n 's/Debian clang version //p' | cut -d. -f1)"
 defines+=rust_sysroot_absolute=\"/usr\"
 defines+=rustc_version=\"$(shell rustc --version)\"
-defines+=enable_rust=false
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
 
@@ -57,17 +56,15 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (i386,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x86\" use_vaapi=true
-# temporarily disabled due to FTBFS with v112
-defines+=use_v8_context_snapshot=false
 endif
 ifeq (amd64,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x64\" use_vaapi=true
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\" use_vaapi=true
+defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=true
+defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=true
 endif
 
 # disabled features
@@ -79,12 +76,9 @@
          use_unofficial_version_number=false \
          enable_vr=false \
          enable_nacl=false \
-         simple_template_names=false \
          enable_swiftshader=false \
          dawn_use_swiftshader=false \
          build_dawn_tests=false \
-         enable_nocompile_tests=false \
-         enable_nocompile_tests_new=false \
          enable_reading_list=false \
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
@@ -152,14 +146,11 @@
 	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
 	# use system rollup
 	cp -ra /usr/share/nodejs/rollup third_party/node/node_modules/
-	if [ ! -d third_party/node/node_modules/typescript-bak ]; then mv third_party/node/node_modules/typescript third_party/node/node_modules/typescript-bak; cp -ra third_party/devtools-frontend/src/node_modules/typescript third_party/node/node_modules/; fi
-
 	# bullseye workarounds; delete this post-bullseye
-	cp -ra /usr/share/nodejs/acorn  third_party/node/node_modules/
-	cp -ra /usr/share/nodejs/acorn-class-fields third_party/node/node_modules/
-	cp -ra /usr/share/nodejs/acorn-walk third_party/node/node_modules/walk
-	sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/es/shared/rollup.js
-	sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/shared/rollup.js
+	#cp -ra /usr/share/nodejs/acorn  third_party/node/node_modules/
+	#cp -ra /usr/share/nodejs/acorn-walk third_party/node/node_modules/walk
+	#sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/es/shared/rollup.js
+	#sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/shared/rollup.js
 	# output compiler information
 	$(CXX) --version
 	# prefer unbundled (system) libraries
@@ -197,9 +188,7 @@
 	rm -rf out
 	rm -rf third_party/node/node_modules/rollup
 	# bullseye workarounds; delete this post-bullseye
-	if [ -d third_party/node/node_modules/typescript-bak ]; then rm -rf third_party/node/node_modules/typescript; mv third_party/node/node_modules/typescript-bak third_party/node/node_modules/typescript; fi
 	rm -rf third_party/node/node_modules/acorn
-	rm -rf third_party/node/node_modules/acorn-class-fields
 	rm -rf third_party/node/node_modules/walk
 	find . -name \*.pyc -execdir rm -f {} \;
 	dh_auto_clean
@@ -219,3 +208,23 @@
 
 get-orig-source:
 	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
+	cp /usr/share/perl5/Devscripts/MkOrigtargz.pm debian/scripts/mk-origtargz
+	patch -p1 < debian/scripts/mk-origtargz.patch
+	@date +%s > $(seconds)
+	perl debian/scripts/mk-origtargz ../$(tarball) > $(removed)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	test ! -e $(extract) || rm -rf $(extract)
+	tar xf ../$(tarball)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	while read line; do rm -rf $$line; done < $(removed)
+	cd $(extract) && ../debian/scripts/check-upstream
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	test ! -e $(origtxz) || rm -f $(origtxz)
+	tar $(options) -cf - $(extract) | xz -6 -T0 - > $(origtxz)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	rm -rf $(extract)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds | tee seconds
